This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 858694 - install rhel5.9.64 with qocw2 virtio interface take too long time
install rhel5.9.64 with qocw2 virtio interface take too long time
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.9
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Kevin Wolf
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 08:43 EDT by yunpingzheng
Modified: 2012-09-24 03:58 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-24 03:58:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yunpingzheng 2012-09-19 08:43:59 EDT
Description of problem:
install rhel5.9.64(guest) in rhel.59.64(host), when using qcow2 image  with virtio interface, it will take too long time(about 1 hour) .

FYI:1. the hardware is the newest amd machine.
    2. when i install the guest using raw format disk with ide interface, about 35 mins can finished the installation.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.install rhel5.9-64(guest) in rhel5.9-64(host),using qcow2  virtio image.
2.t
3.
  
Actual results:
 
about 1 hours, slowly than ide

Expected results:
 about 30mins , should be faster than ide

Additional info:
host info:
kernel:kernel-2.6.18-339.el5
kvm:kvm-83-259.el5

cpuinfo:
processor	: 15
vendor_id	: AuthenticAMD
cpu family	: 16
model		: 9
model name	: AMD Opteron(tm) Processor 6128
stepping	: 1
cpu MHz		: 2000.046
cache size	: 512 KB
physical id	: 2
siblings	: 8
core id		: 3
cpu cores	: 8
apicid		: 39
fpu		: yes
fpu_exception	: yes
cpuid level	: 5
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow rep_good constant_tsc nonstop_tsc amd_dcm pni cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs skinit wdt nodeid_msr
bogomips	: 4000.14
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate [8]
Comment 1 Ronen Hod 2012-09-22 12:11:45 EDT
yunpingzheng,

Can you please try to see if it is the qcow vs raw, or virtio vs. ide.

Thanks, Ronen.
Comment 2 yunpingzheng 2012-09-24 01:25:06 EDT
Ronen

virtio
  qcow2 (about 50-60 mins)
  raw   (about 25 mins)

ide
  qcow2  (about 60 mins)
  raw    (about 30 mins)
Comment 3 Kevin Wolf 2012-09-24 03:58:52 EDT
Yes, cluster allocation in qcow2 under RHEL 5 is slow. We know it and there's no justifiable way to fix it. Unless it's a clear regression from the previous minor release, qcow2 performance issues won't be considered to be fixed in RHEL 5. To work around it, use preallocation or raw images if you can.

Note You need to log in before you can comment on or make changes to this bug.